PETSc version 3.15.5
Fix/Edit manual page

# PetscDSSelectEquations

Copy pointwise function pointers to the new problem with different field layout

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSelectEquations(PetscDS prob, PetscInt numFields, const PetscInt fields[], PetscDS newprob)

Not collective

### Input Parameter

| prob | - The PetscDS object
| numFields | - Number of new fields
| fields | - Old field number for each new field

### Output Parameter

| newprob | - The PetscDS copy

### See Also

PetscDSSelectDiscretizations(), PetscDSCopyBoundary(), PetscDSSetResidual(), PetscDSSetJacobian(), PetscDSSetRiemannSolver(), PetscDSSetBdResidual(), PetscDSSetBdJacobian(), PetscDSCreate()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages